Subject: Re: [RFC] Device tree for new desktop platform in arch/powerpc

From: David Gibson <[email-masked]>
Date: Tue, 19 Jun 2007 15:08:12 +1000

On Mon, Jun 18, 2007 at 01:25:18PM -0700, Mark A. Greer wrote:
> On Mon, Jun 18, 2007 at 09:43:59PM +0200, Gerhard Pircher wrote:
> > Von: "Mark A. Greer" <[email-masked]>
> > > On Mon, Jun 18, 2007 at 08:57:15PM +0200, Gerhard Pircher wrote:
> > > 
> > > > 1. The AmigaOne makes use of different G3...
> > > 
> > > I'm far from an authoritative figure on this but making a
> > > reasonable default (in your dts file) then updating in the 
> > > bootwrapper makes sense to me.  That's what I did for several 
> > > properties in the prpmc2800's dts.
> > So, the bootwrapper should update the name property of the CPU node. Is the cpu node name used somewhere?
> 
> Oh, sorry I really talking about the cpu frequencies, etc.
> I don't think the name of the cpu node matters but I'd have to check.
> Others probably know off the top of their heads.

I don't believe the name is actually used.  It would be nice to get it
right, though - I think it can be considered option for the first cut,
though.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson